Get Courses by Ids
Returns courses for a specific institution and academic year, filtered to only those matching the provided list of courseIdentifierParentId values.
Api
- Route
/Courses/api/Institution/{institutionId}/Year/{academicYearId}- Method
- POST
- Key Required
- Yes
- Common Response
- No
- Response Type
- Array of Course
Path Parameters
- institutionId (integer)
- The unique id of the institution. Institution ids are returned from Get Institutions.
- academicYearId (integer)
- The academic year to retrieve courses for. Academic year ids are returned from Get Academic Years.
Request Body
- publishedCourseIdentifierParentIds (Array of integer, required)
- The list of
courseIdentifierParentIdvalues to retrieve. Course ids are returned from Get Courses by Institution.
Curl Example
curl -X 'POST' \
'https://prod.assistng.org/Courses/api/Institution/110/Year/74' \
-H 'accept: application/json' \
-H 'API-Key':'<redacted>' \
-H 'Content-Type: application/json' \
-d '[340948, 340950]'
- institutionId =
110(Allan Hancock College) - academicYearId =
74(2023-2024) - API-Key =
<redacted>(You’ll need to provide your own key.)
Sample Response
[
{
"courseIdentifierParentId": 340948,
"courseParentId": 340900,
"courseTitle": "Introductory Chemistry",
"courseNumber": "25",
"prefix": "CHEM",
"prefixParentId": 3868,
"prefixDescription": "Chemistry",
"departmentParentId": 2370,
"department": "Chemistry and Biochemistry",
"begin": "F2020",
"beginDate": "2020-08-01T00:00:00",
"beginTermId": 241,
"end": "",
"endDate": null,
"endTermId": null,
"minUnits": 3.00,
"maxUnits": 3.00,
"isTerminated": false,
"hasOutline": true,
"isCsuTransferable": true,
"isUcTransferable": false,
"crosslistedCourses": [],
"pathways": []
}
// ... additional courses omitted for brevity
]